# $Revision: 1.22 $, $Date: 2008/07/27 22:32:44 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	TableHash
Summary:	DBIx::TableHash - Tie a hash to a MySQL table + SQL utils
Summary(pl.UTF-8):	DBIx::TableHash - powiązanie hasza z tabelą MySQL oraz narzędzia SQL
Name:		perl-DBIx-TableHash
Version:	1.04
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	83106f75a33d37b0685ded08322711ba
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The DBHash object is designed to tie a hash to a table or a subset of
records in a table in a DBI database (only tested with MySQL in the
current version, but expected to work with any vendor).

%description -l pl.UTF-8
Obiekt DBHash służy do powiązania hasza z tabelą lub podzbiorem
rekordów w tabeli w bazie danych DBI (testowane tylko z aktualną
wersją MySQL, ale powinno działać z każdą bazą).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-TableHash.spec,v $
Revision 1.22  2008/07/27 22:32:44  arekm
- release 4

Revision 1.21  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.19  2004/11/03 22:30:16  paladine
- formatting

Revision 1.18  2004/10/24 14:22:19  paladine
- mysql->MySQL

Revision 1.17  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.16  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 00:50:53  ankry
- cosmetics: unification

Revision 1.14  2004/04/20 10:08:07  ankry
- new bconds

Revision 1.13  2004/04/20 05:50:56  ankry
- license fixes and unification

Revision 1.12  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.11  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:30:59  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/26 14:52:57  ankry
- removed unnecessary BR (Data::Dumper is in perl-modules)

Revision 1.3  2002/09/26 14:46:30  ankry
- version 1.04, release 1

Revision 1.2  2002/08/18 13:54:21  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:57  radek
- new, STBR
